# Rename Account

<EndpointPage
  breadcrumbs={[
    { label: "REST APIs", href: "/rest-api/rest-api" },
    { label: "Common", href: "/rest-api/rest-api#common" },
    { label: "Admin", href: "/rest-api/common/admin" },
    { label: "Rename Account" },
  ]}
  title="Rename Account"
  method="POST"
  url="https://api.gemini.com/v1/account/rename"
  description="A Master or Account level API key can rename an account within the group."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/account/rename",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/account/rename",
        nonce: "<nonce>",
        account: "my-exchange-account",
        newName: "My Exchange Account New Name",
        newAccount: "my-exchange-account-new-name",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <p style={{ margin: 0 }}>The API key you use to access this endpoint can be either a Master or Account level API key and must have the Administrator role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="renameAccount" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="renameAccount" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="renameAccount" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "List Accounts in Group", href: "/rest-api/common/admin/list-accounts-in-group" }}
  next={{ label: "Roles Endpoint", href: "/rest-api/common/admin/roles-endpoint" }}
/>
